## org.apache.hadoop.mapred
Class JvmTask

    java.lang.Object
      org.apache.hadoop.mapred.JvmTask

All Implemented Interfaces:
  Writable

    public class JvmTask

extends Object
implements Writable

Constructor Summary
`JvmTask()`
`JvmTask(Task t, boolean shouldDie)`

Method Summary
`Task` `getTask()`
`void` `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`boolean` `shouldDie()`
`void` `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JvmTask

    public JvmTask(Task t,
                   boolean shouldDie)

### JvmTask

    public JvmTask()

Method Detail

### getTask

    public Task getTask()

### shouldDie

    public boolean shouldDie()

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation